/* This file was generated by codec.py from codec_<version>.txt files. */

#ifndef _DR_IR_OPCODES_AARCH64_H_
#define _DR_IR_OPCODES_AARCH64_H_ 1

/****************************************************************************
 * OPCODES
 */
/**
 * @file dr_ir_opcodes_aarch64.h
 * @brief Instruction opcode constants for AArch64.
 */
/** Opcode constants for use in the instr_t data structure. */
enum {
/*   0 */     OP_INVALID,  /* NULL, */ /**< INVALID opcode */
/*   1 */     OP_UNDECODED,  /* NULL, */ /**< UNDECODED opcode */
/*   2 */     OP_CONTD,    /* NULL, */ /**< CONTD opcode */
/*   3 */     OP_LABEL,    /* NULL, */ /**< LABEL opcode */
/*   4 */    OP_xx, /* placeholder for undecoded instructions */
/*   5 */    OP_ldstex, /* single-entry single-exit block with exclusive load/store */

/*    6 */     OP_abs = 6, /**< AArch64 abs opcode. */
/*    7 */     OP_adc = 7, /**< AArch64 adc opcode. */
/*    8 */     OP_adcs = 8, /**< AArch64 adcs opcode. */
/*    9 */     OP_add = 9, /**< AArch64 add opcode. */
/*   10 */     OP_addhn = 10, /**< AArch64 addhn opcode. */
/*   11 */     OP_addhn2 = 11, /**< AArch64 addhn2 opcode. */
/*   12 */     OP_addp = 12, /**< AArch64 addp opcode. */
/*   13 */     OP_adds = 13, /**< AArch64 adds opcode. */
/*   14 */     OP_addv = 14, /**< AArch64 addv opcode. */
/*   15 */     OP_adr = 15, /**< AArch64 adr opcode. */
/*   16 */     OP_adrp = 16, /**< AArch64 adrp opcode. */
/*   17 */     OP_aesd = 17, /**< AArch64 aesd opcode. */
/*   18 */     OP_aese = 18, /**< AArch64 aese opcode. */
/*   19 */     OP_aesimc = 19, /**< AArch64 aesimc opcode. */
/*   20 */     OP_aesmc = 20, /**< AArch64 aesmc opcode. */
/*   21 */     OP_and = 21, /**< AArch64 and opcode. */
/*   22 */     OP_ands = 22, /**< AArch64 ands opcode. */
/*   23 */     OP_asrv = 23, /**< AArch64 asrv opcode. */
/*   24 */     OP_autia1716 = 24, /**< AArch64 autia1716 opcode. */
/*   25 */     OP_autib1716 = 25, /**< AArch64 autib1716 opcode. */
/*   26 */     OP_b = 26, /**< AArch64 b opcode. */
/*   27 */     OP_bcond = 27, /**< AArch64 bcond opcode. */
/*   28 */     OP_bfm = 28, /**< AArch64 bfm opcode. */
/*   29 */     OP_bic = 29, /**< AArch64 bic opcode. */
/*   30 */     OP_bics = 30, /**< AArch64 bics opcode. */
/*   31 */     OP_bif = 31, /**< AArch64 bif opcode. */
/*   32 */     OP_bit = 32, /**< AArch64 bit opcode. */
/*   33 */     OP_bl = 33, /**< AArch64 bl opcode. */
/*   34 */     OP_blr = 34, /**< AArch64 blr opcode. */
/*   35 */     OP_br = 35, /**< AArch64 br opcode. */
/*   36 */     OP_brk = 36, /**< AArch64 brk opcode. */
/*   37 */     OP_bsl = 37, /**< AArch64 bsl opcode. */
/*   38 */     OP_cas = 38, /**< AArch64 cas opcode. */
/*   39 */     OP_casa = 39, /**< AArch64 casa opcode. */
/*   40 */     OP_casab = 40, /**< AArch64 casab opcode. */
/*   41 */     OP_casah = 41, /**< AArch64 casah opcode. */
/*   42 */     OP_casal = 42, /**< AArch64 casal opcode. */
/*   43 */     OP_casalb = 43, /**< AArch64 casalb opcode. */
/*   44 */     OP_casalh = 44, /**< AArch64 casalh opcode. */
/*   45 */     OP_casb = 45, /**< AArch64 casb opcode. */
/*   46 */     OP_cash = 46, /**< AArch64 cash opcode. */
/*   47 */     OP_casl = 47, /**< AArch64 casl opcode. */
/*   48 */     OP_caslb = 48, /**< AArch64 caslb opcode. */
/*   49 */     OP_caslh = 49, /**< AArch64 caslh opcode. */
/*   50 */     OP_casp = 50, /**< AArch64 casp opcode. */
/*   51 */     OP_caspa = 51, /**< AArch64 caspa opcode. */
/*   52 */     OP_caspal = 52, /**< AArch64 caspal opcode. */
/*   53 */     OP_caspl = 53, /**< AArch64 caspl opcode. */
/*   54 */     OP_cbnz = 54, /**< AArch64 cbnz opcode. */
/*   55 */     OP_cbz = 55, /**< AArch64 cbz opcode. */
/*   56 */     OP_ccmn = 56, /**< AArch64 ccmn opcode. */
/*   57 */     OP_ccmp = 57, /**< AArch64 ccmp opcode. */
/*   58 */     OP_clrex = 58, /**< AArch64 clrex opcode. */
/*   59 */     OP_cls = 59, /**< AArch64 cls opcode. */
/*   60 */     OP_clz = 60, /**< AArch64 clz opcode. */
/*   61 */     OP_cmeq = 61, /**< AArch64 cmeq opcode. */
/*   62 */     OP_cmge = 62, /**< AArch64 cmge opcode. */
/*   63 */     OP_cmgt = 63, /**< AArch64 cmgt opcode. */
/*   64 */     OP_cmhi = 64, /**< AArch64 cmhi opcode. */
/*   65 */     OP_cmhs = 65, /**< AArch64 cmhs opcode. */
/*   66 */     OP_cmle = 66, /**< AArch64 cmle opcode. */
/*   67 */     OP_cmlt = 67, /**< AArch64 cmlt opcode. */
/*   68 */     OP_cmtst = 68, /**< AArch64 cmtst opcode. */
/*   69 */     OP_cnt = 69, /**< AArch64 cnt opcode. */
/*   70 */     OP_crc32b = 70, /**< AArch64 crc32b opcode. */
/*   71 */     OP_crc32cb = 71, /**< AArch64 crc32cb opcode. */
/*   72 */     OP_crc32ch = 72, /**< AArch64 crc32ch opcode. */
/*   73 */     OP_crc32cw = 73, /**< AArch64 crc32cw opcode. */
/*   74 */     OP_crc32cx = 74, /**< AArch64 crc32cx opcode. */
/*   75 */     OP_crc32h = 75, /**< AArch64 crc32h opcode. */
/*   76 */     OP_crc32w = 76, /**< AArch64 crc32w opcode. */
/*   77 */     OP_crc32x = 77, /**< AArch64 crc32x opcode. */
/*   78 */     OP_csel = 78, /**< AArch64 csel opcode. */
/*   79 */     OP_csinc = 79, /**< AArch64 csinc opcode. */
/*   80 */     OP_csinv = 80, /**< AArch64 csinv opcode. */
/*   81 */     OP_csneg = 81, /**< AArch64 csneg opcode. */
/*   82 */     OP_dcps1 = 82, /**< AArch64 dcps1 opcode. */
/*   83 */     OP_dcps2 = 83, /**< AArch64 dcps2 opcode. */
/*   84 */     OP_dcps3 = 84, /**< AArch64 dcps3 opcode. */
/*   85 */     OP_dmb = 85, /**< AArch64 dmb opcode. */
/*   86 */     OP_drps = 86, /**< AArch64 drps opcode. */
/*   87 */     OP_dsb = 87, /**< AArch64 dsb opcode. */
/*   88 */     OP_dup = 88, /**< AArch64 dup opcode. */
/*   89 */     OP_eon = 89, /**< AArch64 eon opcode. */
/*   90 */     OP_eor = 90, /**< AArch64 eor opcode. */
/*   91 */     OP_eret = 91, /**< AArch64 eret opcode. */
/*   92 */     OP_ext = 92, /**< AArch64 ext opcode. */
/*   93 */     OP_extr = 93, /**< AArch64 extr opcode. */
/*   94 */     OP_fabd = 94, /**< AArch64 fabd opcode. */
/*   95 */     OP_fabs = 95, /**< AArch64 fabs opcode. */
/*   96 */     OP_facge = 96, /**< AArch64 facge opcode. */
/*   97 */     OP_facgt = 97, /**< AArch64 facgt opcode. */
/*   98 */     OP_fadd = 98, /**< AArch64 fadd opcode. */
/*   99 */     OP_faddp = 99, /**< AArch64 faddp opcode. */
/*  100 */     OP_fccmp = 100, /**< AArch64 fccmp opcode. */
/*  101 */     OP_fccmpe = 101, /**< AArch64 fccmpe opcode. */
/*  102 */     OP_fcmeq = 102, /**< AArch64 fcmeq opcode. */
/*  103 */     OP_fcmge = 103, /**< AArch64 fcmge opcode. */
/*  104 */     OP_fcmgt = 104, /**< AArch64 fcmgt opcode. */
/*  105 */     OP_fcmle = 105, /**< AArch64 fcmle opcode. */
/*  106 */     OP_fcmlt = 106, /**< AArch64 fcmlt opcode. */
/*  107 */     OP_fcmp = 107, /**< AArch64 fcmp opcode. */
/*  108 */     OP_fcmpe = 108, /**< AArch64 fcmpe opcode. */
/*  109 */     OP_fcsel = 109, /**< AArch64 fcsel opcode. */
/*  110 */     OP_fcvt = 110, /**< AArch64 fcvt opcode. */
/*  111 */     OP_fcvtas = 111, /**< AArch64 fcvtas opcode. */
/*  112 */     OP_fcvtau = 112, /**< AArch64 fcvtau opcode. */
/*  113 */     OP_fcvtl = 113, /**< AArch64 fcvtl opcode. */
/*  114 */     OP_fcvtl2 = 114, /**< AArch64 fcvtl2 opcode. */
/*  115 */     OP_fcvtms = 115, /**< AArch64 fcvtms opcode. */
/*  116 */     OP_fcvtmu = 116, /**< AArch64 fcvtmu opcode. */
/*  117 */     OP_fcvtn = 117, /**< AArch64 fcvtn opcode. */
/*  118 */     OP_fcvtn2 = 118, /**< AArch64 fcvtn2 opcode. */
/*  119 */     OP_fcvtns = 119, /**< AArch64 fcvtns opcode. */
/*  120 */     OP_fcvtnu = 120, /**< AArch64 fcvtnu opcode. */
/*  121 */     OP_fcvtps = 121, /**< AArch64 fcvtps opcode. */
/*  122 */     OP_fcvtpu = 122, /**< AArch64 fcvtpu opcode. */
/*  123 */     OP_fcvtxn = 123, /**< AArch64 fcvtxn opcode. */
/*  124 */     OP_fcvtxn2 = 124, /**< AArch64 fcvtxn2 opcode. */
/*  125 */     OP_fcvtzs = 125, /**< AArch64 fcvtzs opcode. */
/*  126 */     OP_fcvtzu = 126, /**< AArch64 fcvtzu opcode. */
/*  127 */     OP_fdiv = 127, /**< AArch64 fdiv opcode. */
/*  128 */     OP_fmadd = 128, /**< AArch64 fmadd opcode. */
/*  129 */     OP_fmax = 129, /**< AArch64 fmax opcode. */
/*  130 */     OP_fmaxnm = 130, /**< AArch64 fmaxnm opcode. */
/*  131 */     OP_fmaxnmp = 131, /**< AArch64 fmaxnmp opcode. */
/*  132 */     OP_fmaxnmv = 132, /**< AArch64 fmaxnmv opcode. */
/*  133 */     OP_fmaxp = 133, /**< AArch64 fmaxp opcode. */
/*  134 */     OP_fmaxv = 134, /**< AArch64 fmaxv opcode. */
/*  135 */     OP_fmin = 135, /**< AArch64 fmin opcode. */
/*  136 */     OP_fminnm = 136, /**< AArch64 fminnm opcode. */
/*  137 */     OP_fminnmp = 137, /**< AArch64 fminnmp opcode. */
/*  138 */     OP_fminnmv = 138, /**< AArch64 fminnmv opcode. */
/*  139 */     OP_fminp = 139, /**< AArch64 fminp opcode. */
/*  140 */     OP_fminv = 140, /**< AArch64 fminv opcode. */
/*  141 */     OP_fmla = 141, /**< AArch64 fmla opcode. */
/*  142 */     OP_fmlal = 142, /**< AArch64 fmlal opcode. */
/*  143 */     OP_fmlal2 = 143, /**< AArch64 fmlal2 opcode. */
/*  144 */     OP_fmls = 144, /**< AArch64 fmls opcode. */
/*  145 */     OP_fmlsl = 145, /**< AArch64 fmlsl opcode. */
/*  146 */     OP_fmlsl2 = 146, /**< AArch64 fmlsl2 opcode. */
/*  147 */     OP_fmov = 147, /**< AArch64 fmov opcode. */
/*  148 */     OP_fmsub = 148, /**< AArch64 fmsub opcode. */
/*  149 */     OP_fmul = 149, /**< AArch64 fmul opcode. */
/*  150 */     OP_fmulx = 150, /**< AArch64 fmulx opcode. */
/*  151 */     OP_fneg = 151, /**< AArch64 fneg opcode. */
/*  152 */     OP_fnmadd = 152, /**< AArch64 fnmadd opcode. */
/*  153 */     OP_fnmsub = 153, /**< AArch64 fnmsub opcode. */
/*  154 */     OP_fnmul = 154, /**< AArch64 fnmul opcode. */
/*  155 */     OP_frecpe = 155, /**< AArch64 frecpe opcode. */
/*  156 */     OP_frecps = 156, /**< AArch64 frecps opcode. */
/*  157 */     OP_frecpx = 157, /**< AArch64 frecpx opcode. */
/*  158 */     OP_frinta = 158, /**< AArch64 frinta opcode. */
/*  159 */     OP_frinti = 159, /**< AArch64 frinti opcode. */
/*  160 */     OP_frintm = 160, /**< AArch64 frintm opcode. */
/*  161 */     OP_frintn = 161, /**< AArch64 frintn opcode. */
/*  162 */     OP_frintp = 162, /**< AArch64 frintp opcode. */
/*  163 */     OP_frintx = 163, /**< AArch64 frintx opcode. */
/*  164 */     OP_frintz = 164, /**< AArch64 frintz opcode. */
/*  165 */     OP_frsqrte = 165, /**< AArch64 frsqrte opcode. */
/*  166 */     OP_frsqrts = 166, /**< AArch64 frsqrts opcode. */
/*  167 */     OP_fsqrt = 167, /**< AArch64 fsqrt opcode. */
/*  168 */     OP_fsub = 168, /**< AArch64 fsub opcode. */
/*  169 */     OP_hlt = 169, /**< AArch64 hlt opcode. */
/*  170 */     OP_hvc = 170, /**< AArch64 hvc opcode. */
/*  171 */     OP_ins = 171, /**< AArch64 ins opcode. */
/*  172 */     OP_isb = 172, /**< AArch64 isb opcode. */
/*  173 */     OP_ld1 = 173, /**< AArch64 ld1 opcode. */
/*  174 */     OP_ld1r = 174, /**< AArch64 ld1r opcode. */
/*  175 */     OP_ld2 = 175, /**< AArch64 ld2 opcode. */
/*  176 */     OP_ld2r = 176, /**< AArch64 ld2r opcode. */
/*  177 */     OP_ld3 = 177, /**< AArch64 ld3 opcode. */
/*  178 */     OP_ld3r = 178, /**< AArch64 ld3r opcode. */
/*  179 */     OP_ld4 = 179, /**< AArch64 ld4 opcode. */
/*  180 */     OP_ld4r = 180, /**< AArch64 ld4r opcode. */
/*  181 */     OP_ldadd = 181, /**< AArch64 ldadd opcode. */
/*  182 */     OP_ldadda = 182, /**< AArch64 ldadda opcode. */
/*  183 */     OP_ldaddab = 183, /**< AArch64 ldaddab opcode. */
/*  184 */     OP_ldaddah = 184, /**< AArch64 ldaddah opcode. */
/*  185 */     OP_ldaddal = 185, /**< AArch64 ldaddal opcode. */
/*  186 */     OP_ldaddalb = 186, /**< AArch64 ldaddalb opcode. */
/*  187 */     OP_ldaddalh = 187, /**< AArch64 ldaddalh opcode. */
/*  188 */     OP_ldaddb = 188, /**< AArch64 ldaddb opcode. */
/*  189 */     OP_ldaddh = 189, /**< AArch64 ldaddh opcode. */
/*  190 */     OP_ldaddl = 190, /**< AArch64 ldaddl opcode. */
/*  191 */     OP_ldaddlb = 191, /**< AArch64 ldaddlb opcode. */
/*  192 */     OP_ldaddlh = 192, /**< AArch64 ldaddlh opcode. */
/*  193 */     OP_ldar = 193, /**< AArch64 ldar opcode. */
/*  194 */     OP_ldarb = 194, /**< AArch64 ldarb opcode. */
/*  195 */     OP_ldarh = 195, /**< AArch64 ldarh opcode. */
/*  196 */     OP_ldaxp = 196, /**< AArch64 ldaxp opcode. */
/*  197 */     OP_ldaxr = 197, /**< AArch64 ldaxr opcode. */
/*  198 */     OP_ldaxrb = 198, /**< AArch64 ldaxrb opcode. */
/*  199 */     OP_ldaxrh = 199, /**< AArch64 ldaxrh opcode. */
/*  200 */     OP_ldclr = 200, /**< AArch64 ldclr opcode. */
/*  201 */     OP_ldclra = 201, /**< AArch64 ldclra opcode. */
/*  202 */     OP_ldclrab = 202, /**< AArch64 ldclrab opcode. */
/*  203 */     OP_ldclrah = 203, /**< AArch64 ldclrah opcode. */
/*  204 */     OP_ldclral = 204, /**< AArch64 ldclral opcode. */
/*  205 */     OP_ldclralb = 205, /**< AArch64 ldclralb opcode. */
/*  206 */     OP_ldclralh = 206, /**< AArch64 ldclralh opcode. */
/*  207 */     OP_ldclrb = 207, /**< AArch64 ldclrb opcode. */
/*  208 */     OP_ldclrh = 208, /**< AArch64 ldclrh opcode. */
/*  209 */     OP_ldclrl = 209, /**< AArch64 ldclrl opcode. */
/*  210 */     OP_ldclrlb = 210, /**< AArch64 ldclrlb opcode. */
/*  211 */     OP_ldclrlh = 211, /**< AArch64 ldclrlh opcode. */
/*  212 */     OP_ldeor = 212, /**< AArch64 ldeor opcode. */
/*  213 */     OP_ldeora = 213, /**< AArch64 ldeora opcode. */
/*  214 */     OP_ldeorab = 214, /**< AArch64 ldeorab opcode. */
/*  215 */     OP_ldeorah = 215, /**< AArch64 ldeorah opcode. */
/*  216 */     OP_ldeoral = 216, /**< AArch64 ldeoral opcode. */
/*  217 */     OP_ldeoralb = 217, /**< AArch64 ldeoralb opcode. */
/*  218 */     OP_ldeoralh = 218, /**< AArch64 ldeoralh opcode. */
/*  219 */     OP_ldeorb = 219, /**< AArch64 ldeorb opcode. */
/*  220 */     OP_ldeorh = 220, /**< AArch64 ldeorh opcode. */
/*  221 */     OP_ldeorl = 221, /**< AArch64 ldeorl opcode. */
/*  222 */     OP_ldeorlb = 222, /**< AArch64 ldeorlb opcode. */
/*  223 */     OP_ldeorlh = 223, /**< AArch64 ldeorlh opcode. */
/*  224 */     OP_ldnp = 224, /**< AArch64 ldnp opcode. */
/*  225 */     OP_ldp = 225, /**< AArch64 ldp opcode. */
/*  226 */     OP_ldpsw = 226, /**< AArch64 ldpsw opcode. */
/*  227 */     OP_ldr = 227, /**< AArch64 ldr opcode. */
/*  228 */     OP_ldrb = 228, /**< AArch64 ldrb opcode. */
/*  229 */     OP_ldrh = 229, /**< AArch64 ldrh opcode. */
/*  230 */     OP_ldrsb = 230, /**< AArch64 ldrsb opcode. */
/*  231 */     OP_ldrsh = 231, /**< AArch64 ldrsh opcode. */
/*  232 */     OP_ldrsw = 232, /**< AArch64 ldrsw opcode. */
/*  233 */     OP_ldset = 233, /**< AArch64 ldset opcode. */
/*  234 */     OP_ldseta = 234, /**< AArch64 ldseta opcode. */
/*  235 */     OP_ldsetab = 235, /**< AArch64 ldsetab opcode. */
/*  236 */     OP_ldsetah = 236, /**< AArch64 ldsetah opcode. */
/*  237 */     OP_ldsetal = 237, /**< AArch64 ldsetal opcode. */
/*  238 */     OP_ldsetalb = 238, /**< AArch64 ldsetalb opcode. */
/*  239 */     OP_ldsetalh = 239, /**< AArch64 ldsetalh opcode. */
/*  240 */     OP_ldsetb = 240, /**< AArch64 ldsetb opcode. */
/*  241 */     OP_ldseth = 241, /**< AArch64 ldseth opcode. */
/*  242 */     OP_ldsetl = 242, /**< AArch64 ldsetl opcode. */
/*  243 */     OP_ldsetlb = 243, /**< AArch64 ldsetlb opcode. */
/*  244 */     OP_ldsetlh = 244, /**< AArch64 ldsetlh opcode. */
/*  245 */     OP_ldsmax = 245, /**< AArch64 ldsmax opcode. */
/*  246 */     OP_ldsmaxa = 246, /**< AArch64 ldsmaxa opcode. */
/*  247 */     OP_ldsmaxab = 247, /**< AArch64 ldsmaxab opcode. */
/*  248 */     OP_ldsmaxah = 248, /**< AArch64 ldsmaxah opcode. */
/*  249 */     OP_ldsmaxal = 249, /**< AArch64 ldsmaxal opcode. */
/*  250 */     OP_ldsmaxalb = 250, /**< AArch64 ldsmaxalb opcode. */
/*  251 */     OP_ldsmaxalh = 251, /**< AArch64 ldsmaxalh opcode. */
/*  252 */     OP_ldsmaxb = 252, /**< AArch64 ldsmaxb opcode. */
/*  253 */     OP_ldsmaxh = 253, /**< AArch64 ldsmaxh opcode. */
/*  254 */     OP_ldsmaxl = 254, /**< AArch64 ldsmaxl opcode. */
/*  255 */     OP_ldsmaxlb = 255, /**< AArch64 ldsmaxlb opcode. */
/*  256 */     OP_ldsmaxlh = 256, /**< AArch64 ldsmaxlh opcode. */
/*  257 */     OP_ldsmin = 257, /**< AArch64 ldsmin opcode. */
/*  258 */     OP_ldsmina = 258, /**< AArch64 ldsmina opcode. */
/*  259 */     OP_ldsminab = 259, /**< AArch64 ldsminab opcode. */
/*  260 */     OP_ldsminah = 260, /**< AArch64 ldsminah opcode. */
/*  261 */     OP_ldsminal = 261, /**< AArch64 ldsminal opcode. */
/*  262 */     OP_ldsminalb = 262, /**< AArch64 ldsminalb opcode. */
/*  263 */     OP_ldsminalh = 263, /**< AArch64 ldsminalh opcode. */
/*  264 */     OP_ldsminb = 264, /**< AArch64 ldsminb opcode. */
/*  265 */     OP_ldsminh = 265, /**< AArch64 ldsminh opcode. */
/*  266 */     OP_ldsminl = 266, /**< AArch64 ldsminl opcode. */
/*  267 */     OP_ldsminlb = 267, /**< AArch64 ldsminlb opcode. */
/*  268 */     OP_ldsminlh = 268, /**< AArch64 ldsminlh opcode. */
/*  269 */     OP_ldtr = 269, /**< AArch64 ldtr opcode. */
/*  270 */     OP_ldtrb = 270, /**< AArch64 ldtrb opcode. */
/*  271 */     OP_ldtrh = 271, /**< AArch64 ldtrh opcode. */
/*  272 */     OP_ldtrsb = 272, /**< AArch64 ldtrsb opcode. */
/*  273 */     OP_ldtrsh = 273, /**< AArch64 ldtrsh opcode. */
/*  274 */     OP_ldtrsw = 274, /**< AArch64 ldtrsw opcode. */
/*  275 */     OP_ldumax = 275, /**< AArch64 ldumax opcode. */
/*  276 */     OP_ldumaxa = 276, /**< AArch64 ldumaxa opcode. */
/*  277 */     OP_ldumaxab = 277, /**< AArch64 ldumaxab opcode. */
/*  278 */     OP_ldumaxah = 278, /**< AArch64 ldumaxah opcode. */
/*  279 */     OP_ldumaxal = 279, /**< AArch64 ldumaxal opcode. */
/*  280 */     OP_ldumaxalb = 280, /**< AArch64 ldumaxalb opcode. */
/*  281 */     OP_ldumaxalh = 281, /**< AArch64 ldumaxalh opcode. */
/*  282 */     OP_ldumaxb = 282, /**< AArch64 ldumaxb opcode. */
/*  283 */     OP_ldumaxh = 283, /**< AArch64 ldumaxh opcode. */
/*  284 */     OP_ldumaxl = 284, /**< AArch64 ldumaxl opcode. */
/*  285 */     OP_ldumaxlb = 285, /**< AArch64 ldumaxlb opcode. */
/*  286 */     OP_ldumaxlh = 286, /**< AArch64 ldumaxlh opcode. */
/*  287 */     OP_ldumin = 287, /**< AArch64 ldumin opcode. */
/*  288 */     OP_ldumina = 288, /**< AArch64 ldumina opcode. */
/*  289 */     OP_lduminab = 289, /**< AArch64 lduminab opcode. */
/*  290 */     OP_lduminah = 290, /**< AArch64 lduminah opcode. */
/*  291 */     OP_lduminal = 291, /**< AArch64 lduminal opcode. */
/*  292 */     OP_lduminalb = 292, /**< AArch64 lduminalb opcode. */
/*  293 */     OP_lduminalh = 293, /**< AArch64 lduminalh opcode. */
/*  294 */     OP_lduminb = 294, /**< AArch64 lduminb opcode. */
/*  295 */     OP_lduminh = 295, /**< AArch64 lduminh opcode. */
/*  296 */     OP_lduminl = 296, /**< AArch64 lduminl opcode. */
/*  297 */     OP_lduminlb = 297, /**< AArch64 lduminlb opcode. */
/*  298 */     OP_lduminlh = 298, /**< AArch64 lduminlh opcode. */
/*  299 */     OP_ldur = 299, /**< AArch64 ldur opcode. */
/*  300 */     OP_ldurb = 300, /**< AArch64 ldurb opcode. */
/*  301 */     OP_ldurh = 301, /**< AArch64 ldurh opcode. */
/*  302 */     OP_ldursb = 302, /**< AArch64 ldursb opcode. */
/*  303 */     OP_ldursh = 303, /**< AArch64 ldursh opcode. */
/*  304 */     OP_ldursw = 304, /**< AArch64 ldursw opcode. */
/*  305 */     OP_ldxp = 305, /**< AArch64 ldxp opcode. */
/*  306 */     OP_ldxr = 306, /**< AArch64 ldxr opcode. */
/*  307 */     OP_ldxrb = 307, /**< AArch64 ldxrb opcode. */
/*  308 */     OP_ldxrh = 308, /**< AArch64 ldxrh opcode. */
/*  309 */     OP_lslv = 309, /**< AArch64 lslv opcode. */
/*  310 */     OP_lsrv = 310, /**< AArch64 lsrv opcode. */
/*  311 */     OP_madd = 311, /**< AArch64 madd opcode. */
/*  312 */     OP_mla = 312, /**< AArch64 mla opcode. */
/*  313 */     OP_mls = 313, /**< AArch64 mls opcode. */
/*  314 */     OP_movi = 314, /**< AArch64 movi opcode. */
/*  315 */     OP_movk = 315, /**< AArch64 movk opcode. */
/*  316 */     OP_movn = 316, /**< AArch64 movn opcode. */
/*  317 */     OP_movz = 317, /**< AArch64 movz opcode. */
/*  318 */     OP_mrs = 318, /**< AArch64 mrs opcode. */
/*  319 */     OP_msr = 319, /**< AArch64 msr opcode. */
/*  320 */     OP_msub = 320, /**< AArch64 msub opcode. */
/*  321 */     OP_mul = 321, /**< AArch64 mul opcode. */
/*  322 */     OP_mvni = 322, /**< AArch64 mvni opcode. */
/*  323 */     OP_neg = 323, /**< AArch64 neg opcode. */
/*  324 */     OP_nop = 324, /**< AArch64 nop opcode. */
/*  325 */     OP_not = 325, /**< AArch64 not opcode. */
/*  326 */     OP_orn = 326, /**< AArch64 orn opcode. */
/*  327 */     OP_orr = 327, /**< AArch64 orr opcode. */
/*  328 */     OP_pmul = 328, /**< AArch64 pmul opcode. */
/*  329 */     OP_pmull = 329, /**< AArch64 pmull opcode. */
/*  330 */     OP_pmull2 = 330, /**< AArch64 pmull2 opcode. */
/*  331 */     OP_prfm = 331, /**< AArch64 prfm opcode. */
/*  332 */     OP_prfum = 332, /**< AArch64 prfum opcode. */
/*  333 */     OP_raddhn = 333, /**< AArch64 raddhn opcode. */
/*  334 */     OP_raddhn2 = 334, /**< AArch64 raddhn2 opcode. */
/*  335 */     OP_rbit = 335, /**< AArch64 rbit opcode. */
/*  336 */     OP_ret = 336, /**< AArch64 ret opcode. */
/*  337 */     OP_rev = 337, /**< AArch64 rev opcode. */
/*  338 */     OP_rev16 = 338, /**< AArch64 rev16 opcode. */
/*  339 */     OP_rev32 = 339, /**< AArch64 rev32 opcode. */
/*  340 */     OP_rev64 = 340, /**< AArch64 rev64 opcode. */
/*  341 */     OP_rorv = 341, /**< AArch64 rorv opcode. */
/*  342 */     OP_rshrn = 342, /**< AArch64 rshrn opcode. */
/*  343 */     OP_rshrn2 = 343, /**< AArch64 rshrn2 opcode. */
/*  344 */     OP_rsubhn = 344, /**< AArch64 rsubhn opcode. */
/*  345 */     OP_rsubhn2 = 345, /**< AArch64 rsubhn2 opcode. */
/*  346 */     OP_saba = 346, /**< AArch64 saba opcode. */
/*  347 */     OP_sabal = 347, /**< AArch64 sabal opcode. */
/*  348 */     OP_sabal2 = 348, /**< AArch64 sabal2 opcode. */
/*  349 */     OP_sabd = 349, /**< AArch64 sabd opcode. */
/*  350 */     OP_sabdl = 350, /**< AArch64 sabdl opcode. */
/*  351 */     OP_sabdl2 = 351, /**< AArch64 sabdl2 opcode. */
/*  352 */     OP_sadalp = 352, /**< AArch64 sadalp opcode. */
/*  353 */     OP_saddl = 353, /**< AArch64 saddl opcode. */
/*  354 */     OP_saddl2 = 354, /**< AArch64 saddl2 opcode. */
/*  355 */     OP_saddlp = 355, /**< AArch64 saddlp opcode. */
/*  356 */     OP_saddlv = 356, /**< AArch64 saddlv opcode. */
/*  357 */     OP_saddw = 357, /**< AArch64 saddw opcode. */
/*  358 */     OP_saddw2 = 358, /**< AArch64 saddw2 opcode. */
/*  359 */     OP_sbc = 359, /**< AArch64 sbc opcode. */
/*  360 */     OP_sbcs = 360, /**< AArch64 sbcs opcode. */
/*  361 */     OP_sbfm = 361, /**< AArch64 sbfm opcode. */
/*  362 */     OP_scvtf = 362, /**< AArch64 scvtf opcode. */
/*  363 */     OP_sdiv = 363, /**< AArch64 sdiv opcode. */
/*  364 */     OP_sdot = 364, /**< AArch64 sdot opcode. */
/*  365 */     OP_sev = 365, /**< AArch64 sev opcode. */
/*  366 */     OP_sevl = 366, /**< AArch64 sevl opcode. */
/*  367 */     OP_sha1c = 367, /**< AArch64 sha1c opcode. */
/*  368 */     OP_sha1h = 368, /**< AArch64 sha1h opcode. */
/*  369 */     OP_sha1m = 369, /**< AArch64 sha1m opcode. */
/*  370 */     OP_sha1p = 370, /**< AArch64 sha1p opcode. */
/*  371 */     OP_sha1su0 = 371, /**< AArch64 sha1su0 opcode. */
/*  372 */     OP_sha1su1 = 372, /**< AArch64 sha1su1 opcode. */
/*  373 */     OP_sha256h = 373, /**< AArch64 sha256h opcode. */
/*  374 */     OP_sha256h2 = 374, /**< AArch64 sha256h2 opcode. */
/*  375 */     OP_sha256su0 = 375, /**< AArch64 sha256su0 opcode. */
/*  376 */     OP_sha256su1 = 376, /**< AArch64 sha256su1 opcode. */
/*  377 */     OP_shadd = 377, /**< AArch64 shadd opcode. */
/*  378 */     OP_shl = 378, /**< AArch64 shl opcode. */
/*  379 */     OP_shll = 379, /**< AArch64 shll opcode. */
/*  380 */     OP_shll2 = 380, /**< AArch64 shll2 opcode. */
/*  381 */     OP_shrn = 381, /**< AArch64 shrn opcode. */
/*  382 */     OP_shrn2 = 382, /**< AArch64 shrn2 opcode. */
/*  383 */     OP_shsub = 383, /**< AArch64 shsub opcode. */
/*  384 */     OP_sli = 384, /**< AArch64 sli opcode. */
/*  385 */     OP_smaddl = 385, /**< AArch64 smaddl opcode. */
/*  386 */     OP_smax = 386, /**< AArch64 smax opcode. */
/*  387 */     OP_smaxp = 387, /**< AArch64 smaxp opcode. */
/*  388 */     OP_smaxv = 388, /**< AArch64 smaxv opcode. */
/*  389 */     OP_smc = 389, /**< AArch64 smc opcode. */
/*  390 */     OP_smin = 390, /**< AArch64 smin opcode. */
/*  391 */     OP_sminp = 391, /**< AArch64 sminp opcode. */
/*  392 */     OP_sminv = 392, /**< AArch64 sminv opcode. */
/*  393 */     OP_smlal = 393, /**< AArch64 smlal opcode. */
/*  394 */     OP_smlal2 = 394, /**< AArch64 smlal2 opcode. */
/*  395 */     OP_smlsl = 395, /**< AArch64 smlsl opcode. */
/*  396 */     OP_smlsl2 = 396, /**< AArch64 smlsl2 opcode. */
/*  397 */     OP_smov = 397, /**< AArch64 smov opcode. */
/*  398 */     OP_smsubl = 398, /**< AArch64 smsubl opcode. */
/*  399 */     OP_smulh = 399, /**< AArch64 smulh opcode. */
/*  400 */     OP_smull = 400, /**< AArch64 smull opcode. */
/*  401 */     OP_smull2 = 401, /**< AArch64 smull2 opcode. */
/*  402 */     OP_sqabs = 402, /**< AArch64 sqabs opcode. */
/*  403 */     OP_sqadd = 403, /**< AArch64 sqadd opcode. */
/*  404 */     OP_sqdmlal = 404, /**< AArch64 sqdmlal opcode. */
/*  405 */     OP_sqdmlal2 = 405, /**< AArch64 sqdmlal2 opcode. */
/*  406 */     OP_sqdmlsl = 406, /**< AArch64 sqdmlsl opcode. */
/*  407 */     OP_sqdmlsl2 = 407, /**< AArch64 sqdmlsl2 opcode. */
/*  408 */     OP_sqdmulh = 408, /**< AArch64 sqdmulh opcode. */
/*  409 */     OP_sqdmull = 409, /**< AArch64 sqdmull opcode. */
/*  410 */     OP_sqdmull2 = 410, /**< AArch64 sqdmull2 opcode. */
/*  411 */     OP_sqneg = 411, /**< AArch64 sqneg opcode. */
/*  412 */     OP_sqrdmlah = 412, /**< AArch64 sqrdmlah opcode. */
/*  413 */     OP_sqrdmulh = 413, /**< AArch64 sqrdmulh opcode. */
/*  414 */     OP_sqrshl = 414, /**< AArch64 sqrshl opcode. */
/*  415 */     OP_sqrshrn = 415, /**< AArch64 sqrshrn opcode. */
/*  416 */     OP_sqrshrn2 = 416, /**< AArch64 sqrshrn2 opcode. */
/*  417 */     OP_sqrshrun = 417, /**< AArch64 sqrshrun opcode. */
/*  418 */     OP_sqrshrun2 = 418, /**< AArch64 sqrshrun2 opcode. */
/*  419 */     OP_sqshl = 419, /**< AArch64 sqshl opcode. */
/*  420 */     OP_sqshlu = 420, /**< AArch64 sqshlu opcode. */
/*  421 */     OP_sqshrn = 421, /**< AArch64 sqshrn opcode. */
/*  422 */     OP_sqshrn2 = 422, /**< AArch64 sqshrn2 opcode. */
/*  423 */     OP_sqshrun = 423, /**< AArch64 sqshrun opcode. */
/*  424 */     OP_sqshrun2 = 424, /**< AArch64 sqshrun2 opcode. */
/*  425 */     OP_sqsub = 425, /**< AArch64 sqsub opcode. */
/*  426 */     OP_sqxtn = 426, /**< AArch64 sqxtn opcode. */
/*  427 */     OP_sqxtn2 = 427, /**< AArch64 sqxtn2 opcode. */
/*  428 */     OP_sqxtun = 428, /**< AArch64 sqxtun opcode. */
/*  429 */     OP_sqxtun2 = 429, /**< AArch64 sqxtun2 opcode. */
/*  430 */     OP_srhadd = 430, /**< AArch64 srhadd opcode. */
/*  431 */     OP_sri = 431, /**< AArch64 sri opcode. */
/*  432 */     OP_srshl = 432, /**< AArch64 srshl opcode. */
/*  433 */     OP_srshr = 433, /**< AArch64 srshr opcode. */
/*  434 */     OP_srsra = 434, /**< AArch64 srsra opcode. */
/*  435 */     OP_sshl = 435, /**< AArch64 sshl opcode. */
/*  436 */     OP_sshll = 436, /**< AArch64 sshll opcode. */
/*  437 */     OP_sshll2 = 437, /**< AArch64 sshll2 opcode. */
/*  438 */     OP_sshr = 438, /**< AArch64 sshr opcode. */
/*  439 */     OP_ssra = 439, /**< AArch64 ssra opcode. */
/*  440 */     OP_ssubl = 440, /**< AArch64 ssubl opcode. */
/*  441 */     OP_ssubl2 = 441, /**< AArch64 ssubl2 opcode. */
/*  442 */     OP_ssubw = 442, /**< AArch64 ssubw opcode. */
/*  443 */     OP_ssubw2 = 443, /**< AArch64 ssubw2 opcode. */
/*  444 */     OP_st1 = 444, /**< AArch64 st1 opcode. */
/*  445 */     OP_st2 = 445, /**< AArch64 st2 opcode. */
/*  446 */     OP_st3 = 446, /**< AArch64 st3 opcode. */
/*  447 */     OP_st4 = 447, /**< AArch64 st4 opcode. */
/*  448 */     OP_stlr = 448, /**< AArch64 stlr opcode. */
/*  449 */     OP_stlrb = 449, /**< AArch64 stlrb opcode. */
/*  450 */     OP_stlrh = 450, /**< AArch64 stlrh opcode. */
/*  451 */     OP_stlxp = 451, /**< AArch64 stlxp opcode. */
/*  452 */     OP_stlxr = 452, /**< AArch64 stlxr opcode. */
/*  453 */     OP_stlxrb = 453, /**< AArch64 stlxrb opcode. */
/*  454 */     OP_stlxrh = 454, /**< AArch64 stlxrh opcode. */
/*  455 */     OP_stnp = 455, /**< AArch64 stnp opcode. */
/*  456 */     OP_stp = 456, /**< AArch64 stp opcode. */
/*  457 */     OP_str = 457, /**< AArch64 str opcode. */
/*  458 */     OP_strb = 458, /**< AArch64 strb opcode. */
/*  459 */     OP_strh = 459, /**< AArch64 strh opcode. */
/*  460 */     OP_sttr = 460, /**< AArch64 sttr opcode. */
/*  461 */     OP_sttrb = 461, /**< AArch64 sttrb opcode. */
/*  462 */     OP_sttrh = 462, /**< AArch64 sttrh opcode. */
/*  463 */     OP_stur = 463, /**< AArch64 stur opcode. */
/*  464 */     OP_sturb = 464, /**< AArch64 sturb opcode. */
/*  465 */     OP_sturh = 465, /**< AArch64 sturh opcode. */
/*  466 */     OP_stxp = 466, /**< AArch64 stxp opcode. */
/*  467 */     OP_stxr = 467, /**< AArch64 stxr opcode. */
/*  468 */     OP_stxrb = 468, /**< AArch64 stxrb opcode. */
/*  469 */     OP_stxrh = 469, /**< AArch64 stxrh opcode. */
/*  470 */     OP_sub = 470, /**< AArch64 sub opcode. */
/*  471 */     OP_subhn = 471, /**< AArch64 subhn opcode. */
/*  472 */     OP_subhn2 = 472, /**< AArch64 subhn2 opcode. */
/*  473 */     OP_subs = 473, /**< AArch64 subs opcode. */
/*  474 */     OP_suqadd = 474, /**< AArch64 suqadd opcode. */
/*  475 */     OP_svc = 475, /**< AArch64 svc opcode. */
/*  476 */     OP_swp = 476, /**< AArch64 swp opcode. */
/*  477 */     OP_swpa = 477, /**< AArch64 swpa opcode. */
/*  478 */     OP_swpab = 478, /**< AArch64 swpab opcode. */
/*  479 */     OP_swpah = 479, /**< AArch64 swpah opcode. */
/*  480 */     OP_swpal = 480, /**< AArch64 swpal opcode. */
/*  481 */     OP_swpalb = 481, /**< AArch64 swpalb opcode. */
/*  482 */     OP_swpalh = 482, /**< AArch64 swpalh opcode. */
/*  483 */     OP_swpb = 483, /**< AArch64 swpb opcode. */
/*  484 */     OP_swph = 484, /**< AArch64 swph opcode. */
/*  485 */     OP_swpl = 485, /**< AArch64 swpl opcode. */
/*  486 */     OP_swplb = 486, /**< AArch64 swplb opcode. */
/*  487 */     OP_swplh = 487, /**< AArch64 swplh opcode. */
/*  488 */     OP_sys = 488, /**< AArch64 sys opcode. */
/*  489 */     OP_sysl = 489, /**< AArch64 sysl opcode. */
/*  490 */     OP_tbl = 490, /**< AArch64 tbl opcode. */
/*  491 */     OP_tbnz = 491, /**< AArch64 tbnz opcode. */
/*  492 */     OP_tbx = 492, /**< AArch64 tbx opcode. */
/*  493 */     OP_tbz = 493, /**< AArch64 tbz opcode. */
/*  494 */     OP_trn1 = 494, /**< AArch64 trn1 opcode. */
/*  495 */     OP_trn2 = 495, /**< AArch64 trn2 opcode. */
/*  496 */     OP_uaba = 496, /**< AArch64 uaba opcode. */
/*  497 */     OP_uabal = 497, /**< AArch64 uabal opcode. */
/*  498 */     OP_uabal2 = 498, /**< AArch64 uabal2 opcode. */
/*  499 */     OP_uabd = 499, /**< AArch64 uabd opcode. */
/*  500 */     OP_uabdl = 500, /**< AArch64 uabdl opcode. */
/*  501 */     OP_uabdl2 = 501, /**< AArch64 uabdl2 opcode. */
/*  502 */     OP_uadalp = 502, /**< AArch64 uadalp opcode. */
/*  503 */     OP_uaddl = 503, /**< AArch64 uaddl opcode. */
/*  504 */     OP_uaddl2 = 504, /**< AArch64 uaddl2 opcode. */
/*  505 */     OP_uaddlp = 505, /**< AArch64 uaddlp opcode. */
/*  506 */     OP_uaddlv = 506, /**< AArch64 uaddlv opcode. */
/*  507 */     OP_uaddw = 507, /**< AArch64 uaddw opcode. */
/*  508 */     OP_uaddw2 = 508, /**< AArch64 uaddw2 opcode. */
/*  509 */     OP_ubfm = 509, /**< AArch64 ubfm opcode. */
/*  510 */     OP_ucvtf = 510, /**< AArch64 ucvtf opcode. */
/*  511 */     OP_udiv = 511, /**< AArch64 udiv opcode. */
/*  512 */     OP_udot = 512, /**< AArch64 udot opcode. */
/*  513 */     OP_uhadd = 513, /**< AArch64 uhadd opcode. */
/*  514 */     OP_uhsub = 514, /**< AArch64 uhsub opcode. */
/*  515 */     OP_umaddl = 515, /**< AArch64 umaddl opcode. */
/*  516 */     OP_umax = 516, /**< AArch64 umax opcode. */
/*  517 */     OP_umaxp = 517, /**< AArch64 umaxp opcode. */
/*  518 */     OP_umaxv = 518, /**< AArch64 umaxv opcode. */
/*  519 */     OP_umin = 519, /**< AArch64 umin opcode. */
/*  520 */     OP_uminp = 520, /**< AArch64 uminp opcode. */
/*  521 */     OP_uminv = 521, /**< AArch64 uminv opcode. */
/*  522 */     OP_umlal = 522, /**< AArch64 umlal opcode. */
/*  523 */     OP_umlal2 = 523, /**< AArch64 umlal2 opcode. */
/*  524 */     OP_umlsl = 524, /**< AArch64 umlsl opcode. */
/*  525 */     OP_umlsl2 = 525, /**< AArch64 umlsl2 opcode. */
/*  526 */     OP_umov = 526, /**< AArch64 umov opcode. */
/*  527 */     OP_umsubl = 527, /**< AArch64 umsubl opcode. */
/*  528 */     OP_umulh = 528, /**< AArch64 umulh opcode. */
/*  529 */     OP_umull = 529, /**< AArch64 umull opcode. */
/*  530 */     OP_umull2 = 530, /**< AArch64 umull2 opcode. */
/*  531 */     OP_uqadd = 531, /**< AArch64 uqadd opcode. */
/*  532 */     OP_uqrshl = 532, /**< AArch64 uqrshl opcode. */
/*  533 */     OP_uqrshrn = 533, /**< AArch64 uqrshrn opcode. */
/*  534 */     OP_uqrshrn2 = 534, /**< AArch64 uqrshrn2 opcode. */
/*  535 */     OP_uqshl = 535, /**< AArch64 uqshl opcode. */
/*  536 */     OP_uqshrn = 536, /**< AArch64 uqshrn opcode. */
/*  537 */     OP_uqshrn2 = 537, /**< AArch64 uqshrn2 opcode. */
/*  538 */     OP_uqsub = 538, /**< AArch64 uqsub opcode. */
/*  539 */     OP_uqxtn = 539, /**< AArch64 uqxtn opcode. */
/*  540 */     OP_uqxtn2 = 540, /**< AArch64 uqxtn2 opcode. */
/*  541 */     OP_urecpe = 541, /**< AArch64 urecpe opcode. */
/*  542 */     OP_urhadd = 542, /**< AArch64 urhadd opcode. */
/*  543 */     OP_urshl = 543, /**< AArch64 urshl opcode. */
/*  544 */     OP_urshr = 544, /**< AArch64 urshr opcode. */
/*  545 */     OP_ursqrte = 545, /**< AArch64 ursqrte opcode. */
/*  546 */     OP_ursra = 546, /**< AArch64 ursra opcode. */
/*  547 */     OP_ushl = 547, /**< AArch64 ushl opcode. */
/*  548 */     OP_ushll = 548, /**< AArch64 ushll opcode. */
/*  549 */     OP_ushll2 = 549, /**< AArch64 ushll2 opcode. */
/*  550 */     OP_ushr = 550, /**< AArch64 ushr opcode. */
/*  551 */     OP_usqadd = 551, /**< AArch64 usqadd opcode. */
/*  552 */     OP_usra = 552, /**< AArch64 usra opcode. */
/*  553 */     OP_usubl = 553, /**< AArch64 usubl opcode. */
/*  554 */     OP_usubl2 = 554, /**< AArch64 usubl2 opcode. */
/*  555 */     OP_usubw = 555, /**< AArch64 usubw opcode. */
/*  556 */     OP_usubw2 = 556, /**< AArch64 usubw2 opcode. */
/*  557 */     OP_uzp1 = 557, /**< AArch64 uzp1 opcode. */
/*  558 */     OP_uzp2 = 558, /**< AArch64 uzp2 opcode. */
/*  559 */     OP_wfe = 559, /**< AArch64 wfe opcode. */
/*  560 */     OP_wfi = 560, /**< AArch64 wfi opcode. */
/*  561 */     OP_xpaclri = 561, /**< AArch64 xpaclri opcode. */
/*  562 */     OP_xtn = 562, /**< AArch64 xtn opcode. */
/*  563 */     OP_xtn2 = 563, /**< AArch64 xtn2 opcode. */
/*  564 */     OP_yield = 564, /**< AArch64 yield opcode. */
/*  565 */     OP_zip1 = 565, /**< AArch64 zip1 opcode. */
/*  566 */     OP_zip2 = 566, /**< AArch64 zip2 opcode. */
/*  567 */     OP_udf = 567, /**< AArch64 udf opcode. */
/*  568 */     OP_dc_zva = 568, /**< AArch64 dc_zva opcode. */
/*  569 */     OP_dc_cisw = 569, /**< AArch64 dc_cisw opcode. */
/*  570 */     OP_dc_civac = 570, /**< AArch64 dc_civac opcode. */
/*  571 */     OP_dc_csw = 571, /**< AArch64 dc_csw opcode. */
/*  572 */     OP_dc_cvac = 572, /**< AArch64 dc_cvac opcode. */
/*  573 */     OP_dc_cvau = 573, /**< AArch64 dc_cvau opcode. */
/*  574 */     OP_dc_isw = 574, /**< AArch64 dc_isw opcode. */
/*  575 */     OP_dc_ivac = 575, /**< AArch64 dc_ivac opcode. */
/*  576 */     OP_ic_iallu = 576, /**< AArch64 ic_iallu opcode. */
/*  577 */     OP_ic_ialluis = 577, /**< AArch64 ic_ialluis opcode. */
/*  578 */     OP_ic_ivau = 578, /**< AArch64 ic_ivau opcode. */
/*  579 */     OP_sqrdmlsh = 579, /**< AArch64 sqrdmlsh opcode. */
/*  580 */     OP_ldlar = 580, /**< AArch64 ldlar opcode. */
/*  581 */     OP_ldlarb = 581, /**< AArch64 ldlarb opcode. */
/*  582 */     OP_ldlarh = 582, /**< AArch64 ldlarh opcode. */
/*  583 */     OP_stllr = 583, /**< AArch64 stllr opcode. */
/*  584 */     OP_stllrb = 584, /**< AArch64 stllrb opcode. */
/*  585 */     OP_stllrh = 585, /**< AArch64 stllrh opcode. */
/*  586 */     OP_sm3partw1 = 586, /**< AArch64 sm3partw1 opcode. */
/*  587 */     OP_sm3partw2 = 587, /**< AArch64 sm3partw2 opcode. */
/*  588 */     OP_sm3ss1 = 588, /**< AArch64 sm3ss1 opcode. */
/*  589 */     OP_sm3tt1a = 589, /**< AArch64 sm3tt1a opcode. */
/*  590 */     OP_sm3tt1b = 590, /**< AArch64 sm3tt1b opcode. */
/*  591 */     OP_sm3tt2a = 591, /**< AArch64 sm3tt2a opcode. */
/*  592 */     OP_sm3tt2b = 592, /**< AArch64 sm3tt2b opcode. */
/*  593 */     OP_sm4e = 593, /**< AArch64 sm4e opcode. */
/*  594 */     OP_sm4ekey = 594, /**< AArch64 sm4ekey opcode. */
/*  595 */     OP_sha512h = 595, /**< AArch64 sha512h opcode. */
/*  596 */     OP_sha512h2 = 596, /**< AArch64 sha512h2 opcode. */
/*  597 */     OP_sha512su0 = 597, /**< AArch64 sha512su0 opcode. */
/*  598 */     OP_sha512su1 = 598, /**< AArch64 sha512su1 opcode. */
/*  599 */     OP_bcax = 599, /**< AArch64 bcax opcode. */
/*  600 */     OP_eor3 = 600, /**< AArch64 eor3 opcode. */
/*  601 */     OP_esb = 601, /**< AArch64 esb opcode. */
/*  602 */     OP_psb = 602, /**< AArch64 psb opcode. */
/*  603 */     OP_rax1 = 603, /**< AArch64 rax1 opcode. */
/*  604 */     OP_xar = 604, /**< AArch64 xar opcode. */
/*  679 */     OP_retaa = 679, /**< AArch64 retaa opcode. */
/*  680 */     OP_pacibsp = 680, /**< AArch64 pacibsp opcode. */
/*  681 */     OP_autibsp = 681, /**< AArch64 autibsp opcode. */
/*  682 */     OP_blraaz = 682, /**< AArch64 blraaz opcode. */
/*  683 */     OP_braa = 683, /**< AArch64 braa opcode. */
/*  684 */     OP_paciza = 684, /**< AArch64 paciza opcode. */
/*  685 */     OP_xpaci = 685, /**< AArch64 xpaci opcode. */
/*  686 */     OP_xpacd = 686, /**< AArch64 xpacd opcode. */
/*  687 */     OP_pacda = 687, /**< AArch64 pacda opcode. */
/*  688 */     OP_pacia = 688, /**< AArch64 pacia opcode. */
/*  689 */     OP_pacib = 689, /**< AArch64 pacib opcode. */
/*  690 */     OP_autdb = 690, /**< AArch64 autdb opcode. */
/*  782 */     OP_blraa = 782, /**< AArch64 blraa opcode. */
/*  783 */     OP_movprfx = 783, /**< AArch64 movprfx opcode. */
/*  784 */     OP_subr = 784, /**< AArch64 subr opcode. */
/*  785 */     OP_cpy = 785, /**< AArch64 cpy opcode. */
/*  786 */     OP_ptest = 786, /**< AArch64 ptest opcode. */
/*  787 */     OP_mad = 787, /**< AArch64 mad opcode. */
/*  788 */     OP_msb = 788, /**< AArch64 msb opcode. */
/*  789 */     OP_fexpa = 789, /**< AArch64 fexpa opcode. */
/*  790 */     OP_ftmad = 790, /**< AArch64 ftmad opcode. */
/*  791 */     OP_ftsmul = 791, /**< AArch64 ftsmul opcode. */
/*  792 */     OP_ftssel = 792, /**< AArch64 ftssel opcode. */
/*  793 */     OP_cnot = 793, /**< AArch64 cnot opcode. */
/*  794 */     OP_sdivr = 794, /**< AArch64 sdivr opcode. */
/*  795 */     OP_udivr = 795, /**< AArch64 udivr opcode. */
/*  796 */     OP_ldapr = 796, /**< AArch64 ldapr opcode. */
/*  797 */     OP_ldaprb = 797, /**< AArch64 ldaprb opcode. */
/*  798 */     OP_ldaprh = 798, /**< AArch64 ldaprh opcode. */
/*  799 */     OP_sxtb = 799, /**< AArch64 sxtb opcode. */
/*  800 */     OP_sxth = 800, /**< AArch64 sxth opcode. */
/*  801 */     OP_sxtw = 801, /**< AArch64 sxtw opcode. */
/*  802 */     OP_uxtb = 802, /**< AArch64 uxtb opcode. */
/*  803 */     OP_uxth = 803, /**< AArch64 uxth opcode. */
/*  804 */     OP_uxtw = 804, /**< AArch64 uxtw opcode. */
/*  805 */     OP_fcmne = 805, /**< AArch64 fcmne opcode. */
/*  806 */     OP_fcmuo = 806, /**< AArch64 fcmuo opcode. */
/*  807 */     OP_cmpeq = 807, /**< AArch64 cmpeq opcode. */
/*  808 */     OP_cmpge = 808, /**< AArch64 cmpge opcode. */
/*  809 */     OP_cmpgt = 809, /**< AArch64 cmpgt opcode. */
/*  810 */     OP_cmphi = 810, /**< AArch64 cmphi opcode. */
/*  811 */     OP_cmphs = 811, /**< AArch64 cmphs opcode. */
/*  812 */     OP_cmple = 812, /**< AArch64 cmple opcode. */
/*  813 */     OP_cmplo = 813, /**< AArch64 cmplo opcode. */
/*  814 */     OP_cmpls = 814, /**< AArch64 cmpls opcode. */
/*  815 */     OP_cmplt = 815, /**< AArch64 cmplt opcode. */
/*  816 */     OP_cmpne = 816, /**< AArch64 cmpne opcode. */
/*  817 */     OP_rdffr = 817, /**< AArch64 rdffr opcode. */
/*  818 */     OP_rdffrs = 818, /**< AArch64 rdffrs opcode. */
/*  819 */     OP_setffr = 819, /**< AArch64 setffr opcode. */
/*  820 */     OP_wrffr = 820, /**< AArch64 wrffr opcode. */
/*  821 */     OP_cntp = 821, /**< AArch64 cntp opcode. */
/*  822 */     OP_decp = 822, /**< AArch64 decp opcode. */
/*  823 */     OP_incp = 823, /**< AArch64 incp opcode. */
/*  824 */     OP_sqdecp = 824, /**< AArch64 sqdecp opcode. */
/*  825 */     OP_sqincp = 825, /**< AArch64 sqincp opcode. */
/*  826 */     OP_uqdecp = 826, /**< AArch64 uqdecp opcode. */
/*  827 */     OP_uqincp = 827, /**< AArch64 uqincp opcode. */
/*  828 */     OP_eors = 828, /**< AArch64 eors opcode. */
/*  829 */     OP_nand = 829, /**< AArch64 nand opcode. */
/*  830 */     OP_nands = 830, /**< AArch64 nands opcode. */
/*  831 */     OP_nor = 831, /**< AArch64 nor opcode. */
/*  832 */     OP_nors = 832, /**< AArch64 nors opcode. */
/*  833 */     OP_orns = 833, /**< AArch64 orns opcode. */
/*  834 */     OP_orrs = 834, /**< AArch64 orrs opcode. */
/*  835 */     OP_clasta = 835, /**< AArch64 clasta opcode. */
/*  836 */     OP_clastb = 836, /**< AArch64 clastb opcode. */
/*  837 */     OP_lasta = 837, /**< AArch64 lasta opcode. */
/*  838 */     OP_lastb = 838, /**< AArch64 lastb opcode. */
/*  839 */     OP_cntb = 839, /**< AArch64 cntb opcode. */
/*  840 */     OP_decb = 840, /**< AArch64 decb opcode. */
/*  841 */     OP_decd = 841, /**< AArch64 decd opcode. */
/*  842 */     OP_dech = 842, /**< AArch64 dech opcode. */
/*  843 */     OP_sqdech = 843, /**< AArch64 sqdech opcode. */
/*  844 */     OP_cntd = 844, /**< AArch64 cntd opcode. */
/*  845 */     OP_cnth = 845, /**< AArch64 cnth opcode. */
/*  846 */     OP_cntw = 846, /**< AArch64 cntw opcode. */
/*  847 */     OP_decw = 847, /**< AArch64 decw opcode. */
/*  848 */     OP_incb = 848, /**< AArch64 incb opcode. */
/*  849 */     OP_incd = 849, /**< AArch64 incd opcode. */
/*  850 */     OP_inch = 850, /**< AArch64 inch opcode. */
/*  851 */     OP_incw = 851, /**< AArch64 incw opcode. */
/*  852 */     OP_sqdecb = 852, /**< AArch64 sqdecb opcode. */
/*  853 */     OP_sqdecd = 853, /**< AArch64 sqdecd opcode. */
/*  854 */     OP_sqdecw = 854, /**< AArch64 sqdecw opcode. */
/*  855 */     OP_sqincb = 855, /**< AArch64 sqincb opcode. */
/*  856 */     OP_sqincd = 856, /**< AArch64 sqincd opcode. */
/*  857 */     OP_sqinch = 857, /**< AArch64 sqinch opcode. */
/*  858 */     OP_sqincw = 858, /**< AArch64 sqincw opcode. */
/*  859 */     OP_uqdecb = 859, /**< AArch64 uqdecb opcode. */
/*  860 */     OP_uqdecd = 860, /**< AArch64 uqdecd opcode. */
/*  861 */     OP_uqdech = 861, /**< AArch64 uqdech opcode. */
/*  862 */     OP_uqdecw = 862, /**< AArch64 uqdecw opcode. */
/*  863 */     OP_uqincb = 863, /**< AArch64 uqincb opcode. */
/*  864 */     OP_uqincd = 864, /**< AArch64 uqincd opcode. */
/*  865 */     OP_uqinch = 865, /**< AArch64 uqinch opcode. */
/*  866 */     OP_uqincw = 866, /**< AArch64 uqincw opcode. */
/*  867 */     OP_brka = 867, /**< AArch64 brka opcode. */
/*  868 */     OP_brkas = 868, /**< AArch64 brkas opcode. */
/*  869 */     OP_brkb = 869, /**< AArch64 brkb opcode. */
/*  870 */     OP_brkbs = 870, /**< AArch64 brkbs opcode. */
/*  871 */     OP_brkn = 871, /**< AArch64 brkn opcode. */
/*  872 */     OP_brkns = 872, /**< AArch64 brkns opcode. */
/*  873 */     OP_brkpa = 873, /**< AArch64 brkpa opcode. */
/*  874 */     OP_brkpas = 874, /**< AArch64 brkpas opcode. */
/*  875 */     OP_brkpb = 875, /**< AArch64 brkpb opcode. */
/*  876 */     OP_brkpbs = 876, /**< AArch64 brkpbs opcode. */
/*  877 */     OP_whilele = 877, /**< AArch64 whilele opcode. */
/*  878 */     OP_whilelo = 878, /**< AArch64 whilelo opcode. */
/*  879 */     OP_whilels = 879, /**< AArch64 whilels opcode. */
/*  880 */     OP_whilelt = 880, /**< AArch64 whilelt opcode. */
/*  881 */     OP_insr = 881, /**< AArch64 insr opcode. */
/*  882 */     OP_splice = 882, /**< AArch64 splice opcode. */
/*  883 */     OP_revb = 883, /**< AArch64 revb opcode. */
/*  884 */     OP_revh = 884, /**< AArch64 revh opcode. */
/*  885 */     OP_revw = 885, /**< AArch64 revw opcode. */
/*  886 */     OP_compact = 886, /**< AArch64 compact opcode. */
/*  887 */     OP_punpkhi = 887, /**< AArch64 punpkhi opcode. */
/*  888 */     OP_punpklo = 888, /**< AArch64 punpklo opcode. */
/*  889 */     OP_sunpkhi = 889, /**< AArch64 sunpkhi opcode. */
/*  890 */     OP_sunpklo = 890, /**< AArch64 sunpklo opcode. */
/*  891 */     OP_uunpkhi = 891, /**< AArch64 uunpkhi opcode. */
/*  892 */     OP_uunpklo = 892, /**< AArch64 uunpklo opcode. */
/*  893 */     OP_dupm = 893, /**< AArch64 dupm opcode. */
/*  894 */     OP_pfalse = 894, /**< AArch64 pfalse opcode. */
/*  895 */     OP_pfirst = 895, /**< AArch64 pfirst opcode. */
/*  896 */     OP_sel = 896, /**< AArch64 sel opcode. */
/*  897 */     OP_ptrue = 897, /**< AArch64 ptrue opcode. */
/*  898 */     OP_ptrues = 898, /**< AArch64 ptrues opcode. */
/*  899 */     OP_asr = 899, /**< AArch64 asr opcode. */
/*  900 */     OP_asrd = 900, /**< AArch64 asrd opcode. */
/*  901 */     OP_asrr = 901, /**< AArch64 asrr opcode. */
/*  902 */     OP_lsl = 902, /**< AArch64 lsl opcode. */
/*  903 */     OP_lslr = 903, /**< AArch64 lslr opcode. */
/*  904 */     OP_lsr = 904, /**< AArch64 lsr opcode. */
/*  905 */     OP_lsrr = 905, /**< AArch64 lsrr opcode. */
/*  906 */     OP_fcpy = 906, /**< AArch64 fcpy opcode. */
/*  907 */     OP_fdup = 907, /**< AArch64 fdup opcode. */
/*  908 */     OP_ld1rb = 908, /**< AArch64 ld1rb opcode. */
/*  909 */     OP_ld1rd = 909, /**< AArch64 ld1rd opcode. */
/*  910 */     OP_ld1rh = 910, /**< AArch64 ld1rh opcode. */
/*  911 */     OP_ld1rsb = 911, /**< AArch64 ld1rsb opcode. */
/*  912 */     OP_ld1rsh = 912, /**< AArch64 ld1rsh opcode. */
/*  913 */     OP_ld1rsw = 913, /**< AArch64 ld1rsw opcode. */
/*  914 */     OP_ld1rw = 914, /**< AArch64 ld1rw opcode. */
/*  915 */     OP_andv = 915, /**< AArch64 andv opcode. */
/*  916 */     OP_eorv = 916, /**< AArch64 eorv opcode. */
/*  917 */     OP_fadda = 917, /**< AArch64 fadda opcode. */
/*  918 */     OP_faddv = 918, /**< AArch64 faddv opcode. */
/*  919 */     OP_orv = 919, /**< AArch64 orv opcode. */
/*  920 */     OP_saddv = 920, /**< AArch64 saddv opcode. */
/*  921 */     OP_uaddv = 921, /**< AArch64 uaddv opcode. */
/*  922 */     OP_index = 922, /**< AArch64 index opcode. */
/*  923 */     OP_ctermeq = 923, /**< AArch64 ctermeq opcode. */
/*  924 */     OP_ctermne = 924, /**< AArch64 ctermne opcode. */
/*  925 */     OP_pnext = 925, /**< AArch64 pnext opcode. */
/*  926 */     OP_fdivr = 926, /**< AArch64 fdivr opcode. */
/*  927 */     OP_fmad = 927, /**< AArch64 fmad opcode. */
/*  928 */     OP_fnmad = 928, /**< AArch64 fnmad opcode. */
/*  929 */     OP_fnmla = 929, /**< AArch64 fnmla opcode. */
/*  930 */     OP_fnmls = 930, /**< AArch64 fnmls opcode. */
/*  931 */     OP_fscale = 931, /**< AArch64 fscale opcode. */
/*  932 */     OP_fsubr = 932, /**< AArch64 fsubr opcode. */
/*  933 */     OP_fmsb = 933, /**< AArch64 fmsb opcode. */
/*  934 */     OP_addpl = 934, /**< AArch64 addpl opcode. */
/*  935 */     OP_addvl = 935, /**< AArch64 addvl opcode. */
/*  936 */     OP_rdvl = 936, /**< AArch64 rdvl opcode. */
/*  937 */     OP_ldff1b = 937, /**< AArch64 ldff1b opcode. */
/*  938 */     OP_ldff1d = 938, /**< AArch64 ldff1d opcode. */
/*  939 */     OP_ldff1h = 939, /**< AArch64 ldff1h opcode. */
/*  940 */     OP_ldff1sb = 940, /**< AArch64 ldff1sb opcode. */
/*  941 */     OP_ldff1sh = 941, /**< AArch64 ldff1sh opcode. */
/*  942 */     OP_ldff1sw = 942, /**< AArch64 ldff1sw opcode. */
/*  943 */     OP_ldff1w = 943, /**< AArch64 ldff1w opcode. */
/*  944 */     OP_fcadd = 944, /**< AArch64 fcadd opcode. */
/*  945 */     OP_fcmla = 945, /**< AArch64 fcmla opcode. */
/*  946 */     OP_ld1b = 946, /**< AArch64 ld1b opcode. */
/*  947 */     OP_ld1rob = 947, /**< AArch64 ld1rob opcode. */
/*  948 */     OP_ld1rqb = 948, /**< AArch64 ld1rqb opcode. */
/*  949 */     OP_ld1sb = 949, /**< AArch64 ld1sb opcode. */
/*  950 */     OP_ldnt1b = 950, /**< AArch64 ldnt1b opcode. */
/*  951 */     OP_st1b = 951, /**< AArch64 st1b opcode. */
/*  952 */     OP_stnt1b = 952, /**< AArch64 stnt1b opcode. */
/*  953 */     OP_bfcvt = 953, /**< AArch64 bfcvt opcode. */
/*  954 */     OP_bfdot = 954, /**< AArch64 bfdot opcode. */
/*  955 */     OP_bfmlalb = 955, /**< AArch64 bfmlalb opcode. */
/*  956 */     OP_bfmlalt = 956, /**< AArch64 bfmlalt opcode. */
/*  957 */     OP_bfmmla = 957, /**< AArch64 bfmmla opcode. */
/*  958 */     OP_smmla = 958, /**< AArch64 smmla opcode. */
/*  959 */     OP_sudot = 959, /**< AArch64 sudot opcode. */
/*  960 */     OP_ummla = 960, /**< AArch64 ummla opcode. */
/*  961 */     OP_usdot = 961, /**< AArch64 usdot opcode. */
/*  962 */     OP_usmmla = 962, /**< AArch64 usmmla opcode. */
/*  963 */     OP_prfb = 963, /**< AArch64 prfb opcode. */
/*  964 */     OP_prfd = 964, /**< AArch64 prfd opcode. */
/*  965 */     OP_prfh = 965, /**< AArch64 prfh opcode. */
/*  966 */     OP_prfw = 966, /**< AArch64 prfw opcode. */
/*  967 */     OP_ld2b = 967, /**< AArch64 ld2b opcode. */
/*  968 */     OP_ld3b = 968, /**< AArch64 ld3b opcode. */
/*  969 */     OP_ld4b = 969, /**< AArch64 ld4b opcode. */
/*  970 */     OP_st2b = 970, /**< AArch64 st2b opcode. */
/*  971 */     OP_st3b = 971, /**< AArch64 st3b opcode. */
/*  972 */     OP_st4b = 972, /**< AArch64 st4b opcode. */
/*  973 */     OP_bfcvtn = 973, /**< AArch64 bfcvtn opcode. */
/*  974 */     OP_bfcvtn2 = 974, /**< AArch64 bfcvtn2 opcode. */
/*  975 */     OP_ld1d = 975, /**< AArch64 ld1d opcode. */
/*  976 */     OP_ld1h = 976, /**< AArch64 ld1h opcode. */
/*  977 */     OP_ld1sh = 977, /**< AArch64 ld1sh opcode. */
/*  978 */     OP_ld1sw = 978, /**< AArch64 ld1sw opcode. */
/*  979 */     OP_ld1w = 979, /**< AArch64 ld1w opcode. */
/*  980 */     OP_st1h = 980, /**< AArch64 st1h opcode. */
/*  981 */     OP_st1d = 981, /**< AArch64 st1d opcode. */
/*  982 */     OP_st1w = 982, /**< AArch64 st1w opcode. */
/*  983 */     OP_ld2d = 983, /**< AArch64 ld2d opcode. */
/*  984 */     OP_ld2h = 984, /**< AArch64 ld2h opcode. */
/*  985 */     OP_ld2w = 985, /**< AArch64 ld2w opcode. */
/*  986 */     OP_ld3d = 986, /**< AArch64 ld3d opcode. */
/*  987 */     OP_ld3h = 987, /**< AArch64 ld3h opcode. */
/*  988 */     OP_ld3w = 988, /**< AArch64 ld3w opcode. */
/*  989 */     OP_ld4d = 989, /**< AArch64 ld4d opcode. */
/*  990 */     OP_ld4h = 990, /**< AArch64 ld4h opcode. */
/*  991 */     OP_ld4w = 991, /**< AArch64 ld4w opcode. */
/*  992 */     OP_ldnt1d = 992, /**< AArch64 ldnt1d opcode. */
/*  993 */     OP_ldnt1h = 993, /**< AArch64 ldnt1h opcode. */
/*  994 */     OP_ldnt1w = 994, /**< AArch64 ldnt1w opcode. */
/*  995 */     OP_st2d = 995, /**< AArch64 st2d opcode. */
/*  996 */     OP_st2h = 996, /**< AArch64 st2h opcode. */
/*  997 */     OP_st2w = 997, /**< AArch64 st2w opcode. */
/*  998 */     OP_st3d = 998, /**< AArch64 st3d opcode. */
/*  999 */     OP_st3h = 999, /**< AArch64 st3h opcode. */
/* 1000 */     OP_st3w = 1000, /**< AArch64 st3w opcode. */
/* 1001 */     OP_st4d = 1001, /**< AArch64 st4d opcode. */
/* 1002 */     OP_st4h = 1002, /**< AArch64 st4h opcode. */
/* 1003 */     OP_st4w = 1003, /**< AArch64 st4w opcode. */
/* 1004 */     OP_stnt1d = 1004, /**< AArch64 stnt1d opcode. */
/* 1005 */     OP_stnt1h = 1005, /**< AArch64 stnt1h opcode. */
/* 1006 */     OP_stnt1w = 1006, /**< AArch64 stnt1w opcode. */
/* 1007 */     OP_ldnf1b = 1007, /**< AArch64 ldnf1b opcode. */
/* 1008 */     OP_ldnf1d = 1008, /**< AArch64 ldnf1d opcode. */
/* 1009 */     OP_ldnf1h = 1009, /**< AArch64 ldnf1h opcode. */
/* 1010 */     OP_ldnf1sb = 1010, /**< AArch64 ldnf1sb opcode. */
/* 1011 */     OP_ldnf1sh = 1011, /**< AArch64 ldnf1sh opcode. */
/* 1012 */     OP_ldnf1sw = 1012, /**< AArch64 ldnf1sw opcode. */
/* 1013 */     OP_ldnf1w = 1013, /**< AArch64 ldnf1w opcode. */
/* 1014 */     OP_ldapur = 1014, /**< AArch64 ldapur opcode. */
/* 1015 */     OP_ldapurb = 1015, /**< AArch64 ldapurb opcode. */
/* 1016 */     OP_ldapurh = 1016, /**< AArch64 ldapurh opcode. */
/* 1017 */     OP_ldapursb = 1017, /**< AArch64 ldapursb opcode. */
/* 1018 */     OP_ldapursh = 1018, /**< AArch64 ldapursh opcode. */
/* 1019 */     OP_ldapursw = 1019, /**< AArch64 ldapursw opcode. */
/* 1020 */     OP_stlur = 1020, /**< AArch64 stlur opcode. */
/* 1021 */     OP_stlurb = 1021, /**< AArch64 stlurb opcode. */
/* 1022 */     OP_stlurh = 1022, /**< AArch64 stlurh opcode. */
/* 1023 */     OP_cfinv = 1023, /**< AArch64 cfinv opcode. */
/* 1024 */     OP_rmif = 1024, /**< AArch64 rmif opcode. */
/* 1025 */     OP_setf16 = 1025, /**< AArch64 setf16 opcode. */
/* 1026 */     OP_setf8 = 1026, /**< AArch64 setf8 opcode. */
/* 1027 */     OP_autda = 1027, /**< AArch64 autda opcode. */
/* 1028 */     OP_autdza = 1028, /**< AArch64 autdza opcode. */
/* 1029 */     OP_autdzb = 1029, /**< AArch64 autdzb opcode. */
/* 1030 */     OP_autia = 1030, /**< AArch64 autia opcode. */
/* 1031 */     OP_autiasp = 1031, /**< AArch64 autiasp opcode. */
/* 1032 */     OP_autiaz = 1032, /**< AArch64 autiaz opcode. */
/* 1033 */     OP_autib = 1033, /**< AArch64 autib opcode. */
/* 1034 */     OP_autibz = 1034, /**< AArch64 autibz opcode. */
/* 1035 */     OP_autiza = 1035, /**< AArch64 autiza opcode. */
/* 1036 */     OP_autizb = 1036, /**< AArch64 autizb opcode. */
/* 1037 */     OP_blrab = 1037, /**< AArch64 blrab opcode. */
/* 1038 */     OP_blrabz = 1038, /**< AArch64 blrabz opcode. */
/* 1039 */     OP_braaz = 1039, /**< AArch64 braaz opcode. */
/* 1040 */     OP_brab = 1040, /**< AArch64 brab opcode. */
/* 1041 */     OP_brabz = 1041, /**< AArch64 brabz opcode. */
/* 1042 */     OP_pacdb = 1042, /**< AArch64 pacdb opcode. */
/* 1043 */     OP_pacdza = 1043, /**< AArch64 pacdza opcode. */
/* 1044 */     OP_pacdzb = 1044, /**< AArch64 pacdzb opcode. */
/* 1045 */     OP_pacga = 1045, /**< AArch64 pacga opcode. */
/* 1046 */     OP_pacia1716 = 1046, /**< AArch64 pacia1716 opcode. */
/* 1047 */     OP_paciasp = 1047, /**< AArch64 paciasp opcode. */
/* 1048 */     OP_paciaz = 1048, /**< AArch64 paciaz opcode. */
/* 1049 */     OP_pacib1716 = 1049, /**< AArch64 pacib1716 opcode. */
/* 1050 */     OP_pacibz = 1050, /**< AArch64 pacibz opcode. */
/* 1051 */     OP_pacizb = 1051, /**< AArch64 pacizb opcode. */
/* 1052 */     OP_ldraa = 1052, /**< AArch64 ldraa opcode. */
/* 1053 */     OP_ldrab = 1053, /**< AArch64 ldrab opcode. */
/* 1054 */     OP_eretaa = 1054, /**< AArch64 eretaa opcode. */
/* 1055 */     OP_eretab = 1055, /**< AArch64 eretab opcode. */
/* 1056 */     OP_retab = 1056, /**< AArch64 retab opcode. */
/* 1057 */     OP_fjcvtzs = 1057, /**< AArch64 fjcvtzs opcode. */
/* 1058 */     OP_dc_cvadp = 1058, /**< AArch64 dc_cvadp opcode. */
/* 1059 */     OP_dc_cvap = 1059, /**< AArch64 dc_cvap opcode. */
/* 1060 */     OP_ld1rqd = 1060, /**< AArch64 ld1rqd opcode. */
/* 1061 */     OP_ld1rqh = 1061, /**< AArch64 ld1rqh opcode. */
/* 1062 */     OP_ld1rqw = 1062, /**< AArch64 ld1rqw opcode. */
/* 1063 */     OP_fnmsb = 1063, /**< AArch64 fnmsb opcode. */
/* 1064 */     OP_bfcvtnt = 1064, /**< AArch64 bfcvtnt opcode. */
/* 1065 */     OP_bsl1n = 1065, /**< AArch64 bsl1n opcode. */
/* 1066 */     OP_bsl2n = 1066, /**< AArch64 bsl2n opcode. */
/* 1067 */     OP_fmlalb = 1067, /**< AArch64 fmlalb opcode. */
/* 1068 */     OP_fmlalt = 1068, /**< AArch64 fmlalt opcode. */
/* 1069 */     OP_fmlslb = 1069, /**< AArch64 fmlslb opcode. */
/* 1070 */     OP_fmlslt = 1070, /**< AArch64 fmlslt opcode. */
/* 1071 */     OP_histseg = 1071, /**< AArch64 histseg opcode. */
/* 1072 */     OP_nbsl = 1072, /**< AArch64 nbsl opcode. */
/* 1073 */     OP_adclb = 1073, /**< AArch64 adclb opcode. */
/* 1074 */     OP_adclt = 1074, /**< AArch64 adclt opcode. */
/* 1075 */     OP_bdep = 1075, /**< AArch64 bdep opcode. */
/* 1076 */     OP_bext = 1076, /**< AArch64 bext opcode. */
/* 1077 */     OP_bgrp = 1077, /**< AArch64 bgrp opcode. */
/* 1078 */     OP_eorbt = 1078, /**< AArch64 eorbt opcode. */
/* 1079 */     OP_eortb = 1079, /**< AArch64 eortb opcode. */
/* 1080 */     OP_sbclb = 1080, /**< AArch64 sbclb opcode. */
/* 1081 */     OP_sbclt = 1081, /**< AArch64 sbclt opcode. */
/* 1082 */     OP_addhnb = 1082, /**< AArch64 addhnb opcode. */
/* 1083 */     OP_addhnt = 1083, /**< AArch64 addhnt opcode. */
/* 1084 */     OP_pmullb = 1084, /**< AArch64 pmullb opcode. */
/* 1085 */     OP_pmullt = 1085, /**< AArch64 pmullt opcode. */
/* 1086 */     OP_raddhnb = 1086, /**< AArch64 raddhnb opcode. */
/* 1087 */     OP_raddhnt = 1087, /**< AArch64 raddhnt opcode. */
/* 1088 */     OP_rsubhnb = 1088, /**< AArch64 rsubhnb opcode. */
/* 1089 */     OP_rsubhnt = 1089, /**< AArch64 rsubhnt opcode. */
/* 1090 */     OP_sabalb = 1090, /**< AArch64 sabalb opcode. */
/* 1091 */     OP_sabalt = 1091, /**< AArch64 sabalt opcode. */
/* 1092 */     OP_sabdlb = 1092, /**< AArch64 sabdlb opcode. */
/* 1093 */     OP_sabdlt = 1093, /**< AArch64 sabdlt opcode. */
/* 1094 */     OP_saddlb = 1094, /**< AArch64 saddlb opcode. */
/* 1095 */     OP_saddlbt = 1095, /**< AArch64 saddlbt opcode. */
/* 1096 */     OP_saddlt = 1096, /**< AArch64 saddlt opcode. */
/* 1097 */     OP_saddwb = 1097, /**< AArch64 saddwb opcode. */
/* 1098 */     OP_saddwt = 1098, /**< AArch64 saddwt opcode. */
/* 1099 */     OP_smlalb = 1099, /**< AArch64 smlalb opcode. */
/* 1100 */     OP_smlalt = 1100, /**< AArch64 smlalt opcode. */
/* 1101 */     OP_smlslb = 1101, /**< AArch64 smlslb opcode. */
/* 1102 */     OP_smlslt = 1102, /**< AArch64 smlslt opcode. */
/* 1103 */     OP_smullb = 1103, /**< AArch64 smullb opcode. */
/* 1104 */     OP_smullt = 1104, /**< AArch64 smullt opcode. */
/* 1105 */     OP_sqdmlalb = 1105, /**< AArch64 sqdmlalb opcode. */
/* 1106 */     OP_sqdmlalbt = 1106, /**< AArch64 sqdmlalbt opcode. */
/* 1107 */     OP_sqdmlalt = 1107, /**< AArch64 sqdmlalt opcode. */
/* 1108 */     OP_sqdmlslb = 1108, /**< AArch64 sqdmlslb opcode. */
/* 1109 */     OP_sqdmlslbt = 1109, /**< AArch64 sqdmlslbt opcode. */
/* 1110 */     OP_sqdmlslt = 1110, /**< AArch64 sqdmlslt opcode. */
/* 1111 */     OP_sqdmullb = 1111, /**< AArch64 sqdmullb opcode. */
/* 1112 */     OP_sqdmullt = 1112, /**< AArch64 sqdmullt opcode. */
/* 1113 */     OP_ssublb = 1113, /**< AArch64 ssublb opcode. */
/* 1114 */     OP_ssublbt = 1114, /**< AArch64 ssublbt opcode. */
/* 1115 */     OP_ssublt = 1115, /**< AArch64 ssublt opcode. */
/* 1116 */     OP_ssubltb = 1116, /**< AArch64 ssubltb opcode. */
/* 1117 */     OP_ssubwb = 1117, /**< AArch64 ssubwb opcode. */
/* 1118 */     OP_ssubwt = 1118, /**< AArch64 ssubwt opcode. */
/* 1119 */     OP_subhnb = 1119, /**< AArch64 subhnb opcode. */
/* 1120 */     OP_subhnt = 1120, /**< AArch64 subhnt opcode. */
/* 1121 */     OP_uabalb = 1121, /**< AArch64 uabalb opcode. */
/* 1122 */     OP_uabalt = 1122, /**< AArch64 uabalt opcode. */
/* 1123 */     OP_uabdlb = 1123, /**< AArch64 uabdlb opcode. */
/* 1124 */     OP_uabdlt = 1124, /**< AArch64 uabdlt opcode. */
/* 1125 */     OP_uaddlb = 1125, /**< AArch64 uaddlb opcode. */
/* 1126 */     OP_uaddlt = 1126, /**< AArch64 uaddlt opcode. */
/* 1127 */     OP_uaddwb = 1127, /**< AArch64 uaddwb opcode. */
/* 1128 */     OP_uaddwt = 1128, /**< AArch64 uaddwt opcode. */
/* 1129 */     OP_umlalb = 1129, /**< AArch64 umlalb opcode. */
/* 1130 */     OP_umlalt = 1130, /**< AArch64 umlalt opcode. */
/* 1131 */     OP_umlslb = 1131, /**< AArch64 umlslb opcode. */
/* 1132 */     OP_umlslt = 1132, /**< AArch64 umlslt opcode. */
/* 1133 */     OP_umullb = 1133, /**< AArch64 umullb opcode. */
/* 1134 */     OP_umullt = 1134, /**< AArch64 umullt opcode. */
/* 1135 */     OP_usublb = 1135, /**< AArch64 usublb opcode. */
/* 1136 */     OP_usublt = 1136, /**< AArch64 usublt opcode. */
/* 1137 */     OP_usubwb = 1137, /**< AArch64 usubwb opcode. */
/* 1138 */     OP_usubwt = 1138, /**< AArch64 usubwt opcode. */
/* 1139 */     OP_sqxtnb = 1139, /**< AArch64 sqxtnb opcode. */
/* 1140 */     OP_sqxtnt = 1140, /**< AArch64 sqxtnt opcode. */
/* 1141 */     OP_sqxtunb = 1141, /**< AArch64 sqxtunb opcode. */
/* 1142 */     OP_sqxtunt = 1142, /**< AArch64 sqxtunt opcode. */
/* 1143 */     OP_uqxtnb = 1143, /**< AArch64 uqxtnb opcode. */
/* 1144 */     OP_uqxtnt = 1144, /**< AArch64 uqxtnt opcode. */
/* 1145 */     OP_histcnt = 1145, /**< AArch64 histcnt opcode. */
/* 1146 */     OP_shsubr = 1146, /**< AArch64 shsubr opcode. */
/* 1147 */     OP_sqrshlr = 1147, /**< AArch64 sqrshlr opcode. */
/* 1148 */     OP_sqshlr = 1148, /**< AArch64 sqshlr opcode. */
/* 1149 */     OP_sqsubr = 1149, /**< AArch64 sqsubr opcode. */
/* 1150 */     OP_srshlr = 1150, /**< AArch64 srshlr opcode. */
/* 1151 */     OP_uhsubr = 1151, /**< AArch64 uhsubr opcode. */
/* 1152 */     OP_uqrshlr = 1152, /**< AArch64 uqrshlr opcode. */
/* 1153 */     OP_uqshlr = 1153, /**< AArch64 uqshlr opcode. */
/* 1154 */     OP_uqsubr = 1154, /**< AArch64 uqsubr opcode. */
/* 1155 */     OP_urshlr = 1155, /**< AArch64 urshlr opcode. */
/* 1156 */     OP_fcvtlt = 1156, /**< AArch64 fcvtlt opcode. */
/* 1157 */     OP_fcvtnt = 1157, /**< AArch64 fcvtnt opcode. */
/* 1158 */     OP_fcvtx = 1158, /**< AArch64 fcvtx opcode. */
/* 1159 */     OP_fcvtxnt = 1159, /**< AArch64 fcvtxnt opcode. */
/* 1160 */     OP_flogb = 1160, /**< AArch64 flogb opcode. */
/* 1161 */     OP_cadd = 1161, /**< AArch64 cadd opcode. */
/* 1162 */     OP_cdot = 1162, /**< AArch64 cdot opcode. */
/* 1163 */     OP_cmla = 1163, /**< AArch64 cmla opcode. */
/* 1164 */     OP_rshrnb = 1164, /**< AArch64 rshrnb opcode. */
/* 1165 */     OP_rshrnt = 1165, /**< AArch64 rshrnt opcode. */
/* 1166 */     OP_shrnb = 1166, /**< AArch64 shrnb opcode. */
/* 1167 */     OP_shrnt = 1167, /**< AArch64 shrnt opcode. */
/* 1168 */     OP_sqcadd = 1168, /**< AArch64 sqcadd opcode. */
/* 1169 */     OP_sqrdcmlah = 1169, /**< AArch64 sqrdcmlah opcode. */
/* 1170 */     OP_sqrshrnb = 1170, /**< AArch64 sqrshrnb opcode. */
/* 1171 */     OP_sqrshrnt = 1171, /**< AArch64 sqrshrnt opcode. */
/* 1172 */     OP_sqrshrunb = 1172, /**< AArch64 sqrshrunb opcode. */
/* 1173 */     OP_sqrshrunt = 1173, /**< AArch64 sqrshrunt opcode. */
/* 1174 */     OP_sqshrnb = 1174, /**< AArch64 sqshrnb opcode. */
/* 1175 */     OP_sqshrnt = 1175, /**< AArch64 sqshrnt opcode. */
/* 1176 */     OP_sqshrunb = 1176, /**< AArch64 sqshrunb opcode. */
/* 1177 */     OP_sqshrunt = 1177, /**< AArch64 sqshrunt opcode. */
/* 1178 */     OP_sshllb = 1178, /**< AArch64 sshllb opcode. */
/* 1179 */     OP_sshllt = 1179, /**< AArch64 sshllt opcode. */
/* 1180 */     OP_uqrshrnb = 1180, /**< AArch64 uqrshrnb opcode. */
/* 1181 */     OP_uqrshrnt = 1181, /**< AArch64 uqrshrnt opcode. */
/* 1182 */     OP_uqshrnb = 1182, /**< AArch64 uqshrnb opcode. */
/* 1183 */     OP_uqshrnt = 1183, /**< AArch64 uqshrnt opcode. */
/* 1184 */     OP_ushllb = 1184, /**< AArch64 ushllb opcode. */
/* 1185 */     OP_ushllt = 1185, /**< AArch64 ushllt opcode. */
/* 1186 */     OP_ldnt1sb = 1186, /**< AArch64 ldnt1sb opcode. */
/* 1187 */     OP_ldnt1sh = 1187, /**< AArch64 ldnt1sh opcode. */
/* 1188 */     OP_ldnt1sw = 1188, /**< AArch64 ldnt1sw opcode. */
/* 1189 */     OP_match = 1189, /**< AArch64 match opcode. */
/* 1190 */     OP_nmatch = 1190, /**< AArch64 nmatch opcode. */
/* 1191 */     OP_whilege = 1191, /**< AArch64 whilege opcode. */
/* 1192 */     OP_whilegt = 1192, /**< AArch64 whilegt opcode. */
/* 1193 */     OP_whilehi = 1193, /**< AArch64 whilehi opcode. */
/* 1194 */     OP_whilehs = 1194, /**< AArch64 whilehs opcode. */
/* 1195 */     OP_whilerw = 1195, /**< AArch64 whilerw opcode. */
/* 1196 */     OP_whilewr = 1196, /**< AArch64 whilewr opcode. */
/* 1197 */     OP_st2g = 1197, /**< AArch64 st2g opcode. */
/* 1198 */     OP_stg = 1198, /**< AArch64 stg opcode. */
/* 1199 */     OP_stz2g = 1199, /**< AArch64 stz2g opcode. */
/* 1200 */     OP_stzg = 1200, /**< AArch64 stzg opcode. */
/* 1201 */     OP_ldg = 1201, /**< AArch64 ldg opcode. */
/* 1202 */     OP_stgp = 1202, /**< AArch64 stgp opcode. */
/* 1203 */     OP_gmi = 1203, /**< AArch64 gmi opcode. */
/* 1204 */     OP_irg = 1204, /**< AArch64 irg opcode. */
/* 1205 */     OP_subp = 1205, /**< AArch64 subp opcode. */
/* 1206 */     OP_subps = 1206, /**< AArch64 subps opcode. */
/* 1207 */     OP_addg = 1207, /**< AArch64 addg opcode. */
/* 1208 */     OP_subg = 1208, /**< AArch64 subg opcode. */
/* 1209 */     OP_dc_gva = 1209, /**< AArch64 dc_gva opcode. */
/* 1210 */     OP_dc_gzva = 1210, /**< AArch64 dc_gzva opcode. */


    OP_AFTER_LAST,
    OP_FIRST = OP_LABEL + 1,      /**< First real opcode. */
    OP_LAST  = OP_AFTER_LAST - 1, /**< Last real opcode. */
};

/* alternative names */
#define OP_jmp       OP_b      /**< Platform-independent opcode name for jump. */
#define OP_jmp_short OP_b      /**< Platform-independent opcode name for short jump. */
#define OP_load      OP_ldr    /**< Platform-independent opcode name for load. */
#define OP_store     OP_str    /**< Platform-independent opcode name for store. */

/****************************************************************************/

#endif /* _DR_IR_OPCODES_AARCH64_H */
